DefaultTargetAuthenticationHandler (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class DefaultTargetAuthenticationHandler

    java.lang.Object
      org.apache.http.impl.client.AbstractAuthenticationHandler
          org.apache.http.impl.client.DefaultTargetAuthenticationHandler

All Implemented Interfaces:
  AuthenticationHandler

Deprecated. (4.2) use `TargetAuthenticationStrategy`

    @Deprecated
    @Contract(threading=IMMUTABLE)
    public class DefaultTargetAuthenticationHandler

extends AbstractAuthenticationHandler

Default `AuthenticationHandler` implementation for target host authentication.

Since:
  4.0

Constructor Summary
`DefaultTargetAuthenticationHandler()` Deprecated.

Method Summary
`protected List<String>` | `getAuthPreferences(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Deprecated. Returns default list of auth scheme names in their order of preference based on the HTTP response and the current execution context.
`Map<String,org.apache.http.Header>` | `getChallenges(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Deprecated. Extracts from the given HTTP response a collection of authentication challenges, each of which represents an authentication scheme supported by the authentication host.
`boolean` | `isAuthenticationRequested(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Deprecated. Determines if the given HTTP response response represents an authentication challenge that was sent back as a result of authentication failure

Methods inherited from class org.apache.http.impl.client.AbstractAuthenticationHandler
`getAuthPreferences, parseChallenges, selectScheme`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTargetAuthenticationHandler

    public DefaultTargetAuthenticationHandler()

  Deprecated.

Method Detail

### isAuthenticationRequested

    public boolean isAuthenticationRequested(org.apache.http.HttpResponse response,
                                             org.apache.http.protocol.HttpContext context)

  Deprecated.
  Description copied from interface: `AuthenticationHandler`
  Determines if the given HTTP response response represents an authentication challenge that was sent back as a result of authentication failure

  Parameters:
    `response` - HTTP response.
    `context` - HTTP context.
  Returns:
    `true` if user authentication is required, `false` otherwise.

### getChallenges

    public Map<String,org.apache.http.Header> getChallenges(org.apache.http.HttpResponse response,
                                                            org.apache.http.protocol.HttpContext context)
                                                     throws MalformedChallengeException

  Deprecated.
  Description copied from interface: `AuthenticationHandler`
  Extracts from the given HTTP response a collection of authentication challenges, each of which represents an authentication scheme supported by the authentication host.

  Parameters:
    `response` - HTTP response.
    `context` - HTTP context.
  Returns:
    a collection of challenges keyed by names of corresponding authentication schemes.
  Throws:
    `MalformedChallengeException` - if one of the authentication challenges is not valid or malformed.

### getAuthPreferences

    protected List<String> getAuthPreferences(org.apache.http.HttpResponse response,
                                              org.apache.http.protocol.HttpContext context)

  Deprecated.
  Description copied from class: `AbstractAuthenticationHandler`
  Returns default list of auth scheme names in their order of preference based on the HTTP response and the current execution context.

  Overrides:
    `getAuthPreferences` in class `AbstractAuthenticationHandler`
  Parameters:
    `response` - HTTP response.
    `context` - HTTP execution context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.